{% extends 'base.html' %}
{% load static %}

{% block content %}
    {% if home_section_background_image != None %}
        <div style="background-image: url({{ home_section_background_image.getImage }});" id="home" class="jumbotron">
    {% else %}
        <div id="home" class="jumbotron">
    {% endif %}
        <div id="showcase" class="flex-container">
            <div style="background-color: {{ home_section_main_text.text_color }};" class="dream-line container"></div>
            <div class="flex-container container">
                <!-- Home Section Main Text -->
                {% if home_section_main_text != None %}
                    <h1 style="color: {{ home_section_main_text.text_color }};" class="m-auto py-4">{{ home_section_main_text.text }}</h1>
                {% else %}
                    <h1 class="m-auto py-4">Dream.</h1>
                {% endif %}
                <!---------------------------->
            </div>
            <div style="background-color: {{ home_section_main_text.text_color }};" class="dream-line container"></div>
        </div>
    </div>

    <div id="about" class="jumbotron">
        {% if about_section_header != None %}
            <h1 class="text-center mb-5">{{ about_section_header.header }}</h1>
        {% else %}
            <h1 class="text-center mb-5"><span style="font-size: 3rem;">Welcome to my profile page!</span><br><br>Allow me to introduce myself.</h1>
        {% endif %}
        <div class="row flex-container">
            <div class="col-lg-4 col-xl-4 m-auto">
                <div class="card drop-shadow">
                    <div class="card-body">
                        <!-- About Section Description1 -->
                        {% if about_section_description1 != None %}
                            <h6>{{ about_section_description1.desc }}</h6>
                        {% else %}
                            <h6>
                                My name is <span style="font-size: 2em;">Farril Zavier Fernaldy</span>.
                                I am a <span style="font-size: 1.3em;">19 year old</span> student
                                majoring in <span style="font-size: 1.5em;">Information Systems</span> at
                                the <span style="font-size: 1.8em;">University of Indonesia</span>.
                                I am interested in learning more about subjects relating to
                                <span style="font-size: 1.4em;">programming</span>,
                                <span style="font-size: 1.4em;">web development</span>,
                                <span style="font-size: 1.4em;">UI/UX</span> and
                                <span style="font-size: 1.4em;">data</span>.
                                A hard-working, passionate perfectionist.
                            </h6>
                        {% endif %}
                        <!-------------------------------->
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-xl-3 flex-container m-auto">
                <!-- About Section Profile Picture -->
                {% if about_section_profile_picture != None %}
                    <img class="profilepic drop-shadow" src="{{ about_section_profile_picture.getImage }}">
                {% else %}
                    <img class="profilepic drop-shadow" src="{% static 'img/profilepic.jpg' %}">
                {% endif %}
                <!----------------------------------->
            </div>
            <div class="col-lg-4 col-xl-4 m-auto">
                <div class="card drop-shadow">
                    <div class="card-body">
                        <div>
                            <!-- About Section Description2 -->
                            {% if about_section_description2 != None %}
                                <h6>{{ about_section_description2.desc }}</h6>
                            {% else %}
                                <h6>
                                    I am an avid <span style="font-size: 1.6rem;">film enthusiast</span>,
                                    <span style="font-size: 1.4rem;">photographer</span>, and
                                    <span style="font-size: 1.2rem;">traveler</span>.
                                    I am very interested in <span style="font-size: 2rem;">IT</span>
                                    and its impact on <span style="font-size: 1.3rem;">people's everyday lives</span>
                                    and excited to be able to experience the <span style="font-size: 1.5rem;">rapid growth</span>
                                    of IT in today's world.
                                </h6>
                            {% endif %}
                            <!-------------------------------->
                        </div>
                        <div class="my-3 flex-container">
                            <a href="https://www.instagram.com/riley.arril/" target="_blank" class="drop-shadow btn btn-danger m-auto">Instagram</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="education" class="jumbotron" style="background-color: #ef5350;">
        <h1 class="text-center mb-5">EDUCATION</h1>
        {% if education_containers != None %}
            <div class="timeline">
                <!-- Education Containers -->
                {% for container in education_containers %}
                    {% if forloop.counter|divisibleby:2 %}
                        <div class="ed-container right">
                            <div class="content">
                                <h2>{{ container.start_year }}-{{ container.end_year }}</h2>
                                <p>{{ container.institution }}</p>
                                {% if container.extra_info != None %}
                                    <p style="font-size: 0.8rem;">{{ container.extra_info }}</p>
                                {% else %}
                                {% endif %}
                            </div>
                        </div>
                    {% else %}
                        <div class="ed-container left">
                            <div class="content">
                                <h2>{{ container.start_year }}-{{ container.end_year }}</h2>
                                <p>{{ container.institution }}</p>
                                {% if container.extra_info != None %}
                                    <p style="font-size: 0.8rem;">{{ container.extra_info }}</p>
                                {% else %}
                                {% endif %}
                            </div>
                        </div>
                    {% endif %}
                {% endfor %}
                <!-------------------------->
            </div>
        {% else %}>
            <h3 class="text-center">Sorry, nothing is here (yet).</h3>
        {% endif %}
    </div>

    <div id="experience" class="jumbotron">
        <h1 class="text-center mb-5">EXPERIENCE</h1>
        <!-- Experience Cards -->
        {% if experience_cards != None %}
            {% for card in experience_cards %}
                {% if forloop.first %}
                    <div class="row justify-content-center">
                {% endif %}
                <div class="col-md-4 my-4">
                    <div class="card drop-shadow">
                        <img class="card-img-top" src="{{ card.getImage }}">
                        <div class="card-body">
                            <h5 class="card-title">{{ card.organization }}</h5>
                            <p class="card-text">{{ card.position }}</p>
                        </div>
                    </div>
                </div>
                {% if forloop.counter|divisibleby:3 %}
                    </div>
                    <div class="row justify-content-center">
                {% endif %}
                {% if forloop.last %}
                    </div>
                {% endif %}
            {% endfor %}
        {% else %}
            <h3 class="text-center">Sorry, nothing is here (yet).</h3>
        {% endif %}
        <!--------------------------->
    </div>

    <div id="skills" class="jumbotron">
        <h1 class="text-center mb-5">SKILLS</h1>
        <!-- Skill Cards -->
        {% if skill_cards != None %}
            {% for card in skill_cards %}
                {% if forloop.first %}
                    <div class="row justify-content-center">
                {% endif %}
                <div class="col-md-4 my-4">
                    <div class="card drop-shadow">
                        <img class="card-img-top" src="{{ card.getImage }}">
                        <div class="card-body">
                            <h5 class="card-title text-center">{{ card.skill }}</h5>
                        </div>
                    </div>
                </div>
                {% if forloop.counter|divisibleby:3 %}
                    </div>
                    <div class="row justify-content-center">
                {% endif %}
                {% if forloop.last %}
                    </div>
                {% endif %}
            {% endfor %}
        {% else %}
            <h3 class="text-center">Sorry, nothing is here (yet).</h3>
        {% endif %}
        <!----------------->
    </div>

    <div id="contact-me" class="jumbotron">
        <h1 class="text-center mb-5">CONTACT ME</h1>
        <!-- Contact Me -->
        <form class="container my-4" action="/contact-me" method="POST">
            {% csrf_token %}
            {% for field in form %}
                <div class="form-group">
                    <label class="text-white" for="{{ field.id_for_label }}">{{ field.label }}</label>
                    {{ field }}
                </div>
            {% endfor %}
            <button type="submit" class="btn btn-danger">Submit</button>
        </form>
        <!-- Messages -->
        {% if messages != None %}
            {% for message in messages %}
                {% if forloop.first %}
                    <div class="container">
                        <div class="row justify-content-center">
                {% endif %}
                <div class="col-md-6 my-4">
                    <div class="card drop-shadow">
                        <div class="card-body">
                            <h4 class="card-title">{{ message.name }}</h4>
                            <p class="card-text">{{ message.message }}</p>
                        </div>
                    </div>
                </div>
                {% if forloop.counter|divisibleby:2 %}
                    </div>
                    <div class="row justify-content-center">
                {% endif %}
                {% if forloop.last %}
                    </div>
                    </div>
                {% endif %}
            {% endfor %}
        {% else %}
            <h3 class="text-center">Sorry, nothing is here (yet).</h3>
        {% endif %}
        <!-------------->
    </div>
{% endblock %}